<?PHP

// config zur adressenverwaltung

// allgemeine einstellungen *****************************************************************

if(file_exists("adrvars/.htsett.var"))
{
	$settings = file("adrvars/.htsett.var");
	$adrconf = explode("\t",$settings[0]);
	for($i = 0; $i < count($adrconf); $i++)
	{
		$adrconf[$i] = trim(chop($adrconf[$i])); // sonderzeichen wie \t oder \n entfernen
	}
	unset($i);
}
else
{
	$adrconf[0] = 'index.php'; // startscript name (koennte z.b. in index.php als selbststarter umbenannt werden, originalname ist adr_index.php).
	$adrconf[1] = "admin"; // PASSWORT
	$adrconf[2] = '165'; // framebreite links (buchstabenwahl)
	$adrconf[3] = 'adressenkeks'; // cookie bezeichnung fuer autologin
	$adrconf[4] = 'zeilen'; // cookiebezeichnung fuer usereinstellungen
	$adrconf[5] = 0; // anzeigen, ob ein cookie gesetzt ist 0=aus 1=an
	$adrconf[6] = 'adressen'; // verzeichnis in dem die daten, styles und bilder liegen
	$adrconf[7] = "."; // absoluter pfad
	$adrconf[8] = 20; // anzahl eintraege je seite
	$adrconf[9] = 'adressen/styles/adressen.css'; // style pfad
	$adrconf[10] = 0; // beim logout .. 0=nur logincookie loeschen 1=alle cookies loeschen
	$adrconf[11] = 1; // soll ueberhaupt ein cookie gesetzt werden 0=nein 1=ja
	$adrconf[12] = 0; // mail ueber formmailer senden oder ueber mailclient 0=mailclient pc 1=formmailer
	$adrconf[13] = 5; // laenge, die bei maileingabe geprueft werden soll
	$adrconf[14] = 1; // mail auf @ eingabe pruefen 0=nein 1=ja
	$adrconf[15] = 120; // max hoehe der bilddatei
	$adrconf[16] = 100; // max breite der bilddatei
	$adrconf[17] = 0; // uploadfenster automatisch schliessen 0=nein 1=ja
	$adrconf[18] = 1; // upload ueberhaupt erlauben 0=nein 1=ja
	$adrconf[19] = 30; // array groesse fuer datensatz (array_pad beim schreiben der daten)
	$adrconf[20] = "&nbsp;"; // leere datensaetze beim darstellen fuellen mit
	$adrconf[21] = 1; // alle POST,GET,SERVER ETC parsen (wenn register_global=off wichtig !!)
	$adrconf[22] = 0; // userinfotext anzeige als iframe oder als eigener waehlbarer punkt 0=script 1=iframe
	$adrconf[23] = 380; // hoehe uploadfenster
	$adrconf[24] = 380; // breite uploadfenster
	$adrconf[25] = '&#8659;'; // symbol sortieren absteigend (pfeil nach unten windows ie=&#8595;)
	$adrconf[26] = '&#8657;'; // symbo sortieren aufsteigend (pfeil nach oben windows ie=&#8593;)
	$adrconf[27] = '&#937;'; // symbo info
	$adrconf[28] = 22; // zeilenhoehe bei daten neueingabe
	$adrconf[29] = 0; // zeilenhoehe bei user detail-anzeige
	$adrconf[30] = 8; // laenge, die bei webeingabe geprueft werden soll
	$adrconf[31] = "1,2,4,5,8,14,15,16"; // datenfelder die automatisch auf grossbuchstaben umgestellt werden
	$adrconf[33] = 1; // sicherheitsabfrage bei löschen 0=aus 1=an
	$adrconf[34] = 22; // hoehe der zeilen in der navigationstabelle
	$adrconf[35] = '100%'; // main tabellen groesse
	$adrconf[36] = '100%'; // navigation tabellen groesse
	$adrconf[37] = 0; // border übersicht
	$adrconf[38] = 0; // border buttons übersicht
	$adrconf[39] = 0; // border bezeichnungen datenfelder
	$adrconf[40] = 0; // border datenfelder
	$adrconf[41] = 0; // border bildtabelle
	$adrconf[42] = 0; // border ueberschrift und logout tabelle
	$adrconf[43] = 0; // border navigation buchstaben tabelle
	$adrconf[44] = 0; // border textfelder edit und neueingabe
	$adrconf[45] = 'nnam'; // sortier reihenfolge
	$adrconf[46] = ' readonly'; // id feld nicht editierbar (leer wenn doch)
	$adrconf[47] = 1; // bei neuanlage von daten gleich zum buchstaben der neuanlage wechseln
	$adrconf[48] = 50; // maximale anzahl an zeilen die in der konfiguration einstellbar sind
	$adrconf[49] = '*'; // nach dem start mit diesem buchstaben starten (* alle eintraege zeigen)
	$adrconf[50] = 200; // bis maximal x einträge alle einträge beim start anzeigen, danach mit dem buchstaben A starten
	$adrconf[51] = 0; // hilfe anzeigen (logout zeile das fragezeichen)
	$adrconf[52] = 1; // html-coe in den infos einschalten
	$adrconf[53] = 60; // maximale zeichen für suchanfrage
	$adrconf[54] = '';
	$adrconf[55] = '';
	$adrconf[56] = '';
	$adrconf[57] = '';
	$adrconf[58] = '';
	$adrconf[59] = '';
	$adrconf[60] = '';



}

$show_sess_id = 1;

// language *********************************************************************************

// allgemein
$lng['header'] = 'adressen mn-portal.de'; // browserfenster anzeige
$lng['id'] = 'Id'; //1
$lng['vnam'] = 'Vorname';//2
$lng['nnam'] = 'Nachname';//3
$lng['plz'] = 'Plz';//4
$lng['ort'] = 'Ort';//5
$lng['str'] = 'Strasse';//6
$lng['web'] = 'Web';//7
$lng['mail'] = 'Mail 1';//8
$lng['tit'] = 'Ak.&nbsp;grade';//9
$lng['geb'] = 'Geburtstag';//10
$lng['tel'] = 'Tel';//11
$lng['handy'] = 'Handy';//12
$lng['telbue'] = 'Tel. b&uuml;ro';//13
$lng['mail2'] = 'Mail 2';//14
$lng['abt'] = 'Abteilung';//15
$lng['beruf'] = 'Beruf';//17
$lng['mark'] = 'Brange';//18
$lng['info'] = 'Info';//19
$lng['fax'] = 'Fax';//19

$lng['back'] = 'zur&uuml;ck';
$lng['search'] = 'Suche';
$lng['searchstart'] = 'Suche starten';
$lng['search2'] = 'Bitte Suchbegriff(e) eingeben<br>(mehrere Begriffe durch Leerzeichen trennen)';
$lng['searchnew'] = 'Suchfilter anwenden';
$lng['searchoff'] = 'Suchfilter aus';
$lng['nosearch'] = 'Kein Ergebnis gefunden !';
$lng['lastsearch'] = 'Letzte Suche :';
$lng['new_entry'] = 'Neuer Eintrag';
$lng['lngupload'] = 'Upload';
$lng['decresh'] = 'aufsteigend';
$lng['cresh'] = 'absteigend';
$lng['save'] = 'speichern';
$lng['overview'] = 'Men&uuml;';
$lng['isset'] = 'Anlage:';
$lng['today'] = 'Heute: ';
$lng['kill'] = 'l&ouml;schen';
$lng['nooo'] = 'nein';
$lng['yes'] = 'ja';
$lng['separat'] = 'Eigenen Programmpunkt';
$lng['iframe'] = 'I-frame in der Detailansicht';
$lng['delcook'] = 'Standard';
$lng['detail'] = 'Userinfo';
$lng['sumentry'] = '[ Gesamt Eintr&auml;ge:&nbsp;%s ]';
$lng['new'] = 'Neu';
$lng['configu'] = 'Konfig';

// adr_data.php und adr_edit.php
$lng['savedata']['vnam'] = 'Der Vorname darf nicht leer sein';
$lng['savedata']['nnam'] = 'Der Nachname darf nicht leer sein';
$lng['savedata']['newnnam'] = 'Der Anfangsbuchstabe des Nachnamens wurde ge&auml;ndert, bitte als NEUEN Datensatz anlegen !!';
$lng['savedata']['istokill'] = 'Soll der Datensatz %s <b>%s</b> wirklich gel&ouml;scht werden ??';
$lng['savedata']['dataerror'] = 'Datenverarbeitung war nicht erfolgreich';
$lng['savedata']['errwebm1'] = 'Die Webadresse ist zu kurz, mindestens  ... <blink>%s</blink> ... Zeichen';
$lng['savedata']['errm0'] = 'Mailadresse %s enth&auml;llt kein @';
$lng['savedata']['errm1'] = 'Mailadresse 1 ist zu kurz, mindestens ... <blink>%s</blink> ... Zeichen';
$lng['savedata']['errm2'] = 'Mailadresse 2 ist zu kurz, mindestens  ... <blink>%s</blink> ... Zeichen';

$lng['months'][0] = 'Januar';
$lng['months'][1] = 'Februar';
$lng['months'][2] = 'M&auml;rz';
$lng['months'][3] = 'April';
$lng['months'][4] = 'Mai';
$lng['months'][5] = 'Juni';
$lng['months'][6] = 'Juli';
$lng['months'][7] = 'August';
$lng['months'][8] = 'September';
$lng['months'][9] = 'Oktober';
$lng['months'][10] = 'November';
$lng['months'][11] = 'Dezember';

$lng['alg']['mail'] = 'Formmailer von http://www.mn-portal.de'; // wird im formmailer angegeben

// adr_main.php *****************************************************************************
$lng['main']['cookie_set'] = 'Cookie gesetzt&nbsp;';
$lng['main']['noaccess'] = 'Du hast keine Berechtigung...!';
$lng['main']['logout'] = 'logout';
$lng['main']['no_data'] = 'Keine Eintr&auml;ge vorhanden';

// upload bilder ****************************************************************************
$lng['upload']['moment'] = 'Der Upload kann einige Zeit dauern. <br>Bitte haben Sie etwas Geduld!<br>';
$lng['upload']['err'] = 'Fehler';
$lng['upload']['err0'] = '"Die Datei konnte nicht auf den Server kopiert werden. &uuml;berpr&uuml;fen sie Verzeichnisse und Einstellungen.."';
$lng['upload']['err1'] = 'Die Datei <b>%s</b> darf nicht hochgeladen werden. <br>Dateien mit dieser Endung sind nicht erlaubt !';
$lng['upload']['err2'] = 'Eine Datei mit diesem Namen existiert schon. <br>benennen sie ihre Datei um.';
$lng['upload']['err3'] = 'Keine Datei ausgew&auml;hlt';
$lng['upload']['err4'] = 'Die Datei ist zu gross';
$lng['upload']['close'] = 'schliessen';
$lng['upload']['upload'] = 'hochladen';
$lng['upload']['break'] = 'abbruch';
$lng['upload']['success'] = 'Die Datei <b>%s</b> wurde Erfolgreich in das Verzeichnis <b>%s</b> hochgeladen.';


// adr_conf.php
$lng['conf']['err1'] = '[%s] ist kein g&uuml;ltiger W3C Code.';
$lng['conf']['err2'] = 'Eines der Symbolzeichen ist nicht W3C konform angegeben, eine L&auml;nge kleiner 5 ist unwahrscheinlich';
$lng['conf']['err3'] = 'Die Zeilenanzahl der Ausgabe kann nicht Null sein';
$lng['conf']['err4'] = 'Die Zeilenanzahl der Ausgabe kann nicht gr&ouml;sser %s sein';
$lng['conf']['c1'] = 'Zeilenanzahl in der &uuml;bersicht';
$lng['conf']['c2'] = 'Upload Fenster automatisch schliessen';
$lng['conf']['c3'] = 'Infos zur Adresse anzeigen als';
$lng['conf']['c4'] = 'Rahmen &Uuml;bersichtstabelle anzeigen';
$lng['conf']['c5'] = 'Rahmen Buttons &Uuml;bersichtstabelle anzeigen';
$lng['conf']['c6'] = 'Rahmen Datenfeldbezeichnung Detailansicht anzeigen';
$lng['conf']['c7'] = 'Rahmen Datenfelder Detailansicht anzeigen';
$lng['conf']['c8'] = 'Rahmen Bilder anzeigen';
$lng['conf']['c9'] = 'Rahmen &Uuml;berschrift/logout anzeigen';
$lng['conf']['c10'] = 'Rahmen Buchstabennavigation anzeigen';
$lng['conf']['c11'] = 'Rahmen Textfelder bei edit/neu anzeigen';
$lng['conf']['c12'] = 'Beim Start sortieren nach';
$lng['conf']['c13'] = 'Bei Neuanlage zum eingebenen Buchstaben wechseln';
$lng['conf']['c14'] = 'Beim Start welchen Buchstaben automatisch laden';

$sortitn = array('Nachname aufsteigend', 'Nachname absteigend','Vorname aufsteigend', 'Vorname absteigend', 'PLZ aufsteigend', 'PLZ absteigend', 'Ort aufsteigend', 'Ort absteigend', 'Strasse aufsteigend', 'Strasse absteigend', 'Mail aufsteigend', 'Mail absteigend');

// ##########################################################################################
// ab hier nichts mehr einstellen es wird berechnet....
// ##########################################################################################

$passwort = md5($adrconf[1]);

include("adr_usercookie.php"); // adrconf variablen eventuell auf usereinstellungen setzen

/*
	Dateiaufbau der daten
	alle daten sind durch tabs ("\t") getrennt


	DATEINAME .ht(klein)buchstabe

	FELDER

	1	ID
	2	VORNAME
	3	NACHNAME
	4	PLZ
	5	ORT
	6	STRASSE
	7	WEBADRESSE
	8	MAIL
	9	AKADEMISCHER GRAD

	10	GEBURTSTAG
	11	TELEFON
	12	HANDY
	13	TEL. BueRO
	14	MAIL 2
	15	ABTEILUNG
	16	BERUF
	17	Brange
	18	fax

	19	reserviert
	20	reserviert

	21-27	LEER
	28	INFO
	29	BILD-NAME
	30	BILD GRoeSSE (BREITE X HOEHE) DURCH x (kleines ix) VERBUNDEN

*/

?>