<?
// adressenscript funktionen

function get_adr_file($adressdir,$bstabe)
{
	global $lng,$adrconf,$ardconf;	
	$bstabe = strtolower($bstabe); // buchstaben für datei immer klein	
	if(!file_exists("$adressdir/.ht$bstabe")) 
	{
		$adresses[] = "0\t".$lng['main']['no_data'];
	}

	else $adresses = file("$adressdir/.ht$bstabe");
	if(count($adresses) < 1) $adresses[] = "0\t".$lng['main']['no_data'];
	
	return $adresses;
}

function change_color($color)
{
	switch($color) 
	{ // Farbe wechseln
		case "td2":
		$color = "td1";
		break;
		default:
		$color = "td2";
		break;
	} // ende switch
	return $color;
}

function make_my_form($action,$target,$mode,$buchstabe,$loggin,$seite,$sort,$bttnvalue)
{
	
	echo '<form method="post" action="'.$action.'" target="'.$target.'">';
	if($mode != "") echo '<input type="hidden" name="mode" value="'.$mode.'">';
	if($buchstabe != "") echo '<input type="hidden" name="buchstabe" value="'.$buchstabe.'">';
	if($loggin != "") echo '<input type="hidden" name="loggin" value="'.$loggin.'">';
	if($seite != "") echo '<input type="hidden" name="seite" value="'.$seite.'">';
	if($sort !="") echo '<input type="hidden" name="sort" value="'.$sort.'">';
	if($bttnvalue != "") echo '<input type="submit" value="'.$bttnvalue.'" class="buttons">';
	echo '</form>';
}

function make_my_form2($action,$target,$mode,$buchstabe,$loggin,$seite,$sort,$bttnvalue)
{
	
	echo '<form method="post" action="'.$action.'" target="'.$target.'">';
	if($mode != "") echo '<input type="hidden" name="mode" value="'.$mode.'">';
	if($buchstabe != "") echo '<input type="hidden" name="buchstabe" value="'.$buchstabe.'">';
	if($loggin != "") echo '<input type="hidden" name="loggin" value="'.$loggin.'">';
	if($seite != "") echo '<input type="hidden" name="seite" value="'.$seite.'">';
	if($sort !="") echo '<input type="hidden" name="sort" value="'.$sort.'">';
	if($bttnvalue != "") echo '<input type="submit" value="'.$bttnvalue.'" class="buttons2">';
	echo '</form>';
}


function myfile_exists($file) 
{
	global $adrconf;
	return file_exists($adrconf[7].'/'.$file);
}


function myfwrite($file,$towrite,$mode) 
{
	global $cache,$file_counter,$adrconf;
	
	$set_chmod = 0;
	
	if(!myfile_exists($file)) $set_chmod = 1; 
	$fp = fopen($adrconf[7].'/'.$file,$mode.'b') or die("datei klappt nicht"); 	
	flock($fp,LOCK_EX);
	if(!is_array($towrite)) 
	{ // Falls Variable ein Array ist, anders schreiben
		fwrite($fp,$towrite);
	}
	else 
	{
		for($i = 0; $i < sizeof($towrite); $i++) 
		{
			fwrite($fp,$towrite[$i]);
		}
	}
	flock($fp,LOCK_UN); fclose($fp);
	if($set_chmod == 1) 
	{
		@chmod($adrconf[7].'/'.$file,0777);
	}
	if($mode == "w") $cache['files'][$file] = $towrite;
	else 
	{
		$file_counter++;
		$cache['files'][$file] = @file($adrconf[7].'/'.$file);
	}
}

function mutate($text) 
{
	$text = str_replace("\t"," ",$text);
	$text = htmlspecialchars($text);
	return $text;
}

function demutate($text) 
{
	$text = str_replace("&amp;","&",$text);
	$text = str_replace("&quot;","\"",$text);
	$text = str_replace("&lt;","<",$text);
	$text = str_replace("&gt;",">",$text);
	return $text;
}

function make_uml($text)
{
	$text = str_replace("ä","&#228;",$text);
	$text = str_replace("ö","&#246;",$text);
	$text = str_replace("ü","&#252;",$text);
	$text = str_replace("Ä","&#196;",$text);
	$text = str_replace("Ö","&#214;",$text);
	$text = str_replace("Ü","&#220;",$text);
	$text = str_replace("ß","&#223;",$text);
	$text = str_replace("\t","&nbsp;&nbsp;&nbsp;",$text);
	$text = htmlentities($text);
	return $text;
}

function make_bstab($text)
{
	$text = str_replace("&auml;","a",$text);
	$text = str_replace("&ouml;","o",$text);
	$text = str_replace("&uuml;","u",$text);
	$text = str_replace("&Auml;","a",$text);
	$text = str_replace("&Ouml;","o",$text);
	$text = str_replace("&Uuml;","u",$text);
	$text = str_replace("&szlig;","s",$text);
	return $text;
}

function clean_string($string)
{
	return ereg_replace("[^[a-zA-Z*]", "!", $string);
}

function brnl($text) 
{
	return str_replace("<br>", "\r\n", $text);
}

function nlbr($text) 
{
	return str_replace("\r\n", "<br>", $text);
}

function mymail($target,$subject,$message,$from) 
{
	global $lng;
		$message = str_replace("&amp;","&",$message);
		@mail($target,$subject,$message,"From: \"".$lng['alg']['mail']."\" <".$from.">\nX-Mailer: PHP/".phpversion());

}

function mysslashes($text) 
{
	$text = str_replace("\\\"","\"",$text);
	$text = str_replace("\\\\","\\",$text);
	$text = str_replace("\\'","'",$text);
	$text = str_replace("\t","",$text);
	return $text;
}

function myfread($file) 
{
	global $file_counter;
	if(!$fp = fopen($file,'rb')) return FALSE;
	else 
	{
		flock($fp,LOCK_SH);
		$data = fread($fp,filesize($file));
		flock($fp,LOCK_UN); fclose($fp);
		$file_counter++;
		return $data;
	}
}

function makedatum($text) 
{
	global $lng,$timezone;
	
	$text = mktime(substr($text,8,2),substr($text,10,2),0,substr($text,4,2),substr($text,6,2),substr($text,0,4)) + $x + date("Z");
	$text = gmstrftime("%Y%m%d%H%M",$text);
	
	$zeit = strftime("%H:%M");
	
	$jahr = substr($text,0,4);
	$monat = substr($text,4,2);
	switch($monat) {
		case "01":
			$monat = $lng['months'][0];
			break;
		case "02":
			$monat = $lng['months'][1];
			break;
		case "03":
			$monat = $lng['months'][2];
			break;
		case "04":
			$monat = $lng['months'][3];
			break;
		case "05":
			$monat = $lng['months'][4];
			break;
		case "06":
			$monat = $lng['months'][5];
			break;
		case "07":
			$monat = $lng['months'][6];
			break;
		case "08":
			$monat = $lng['months'][7];
			break;
		case "09":
			$monat = $lng['months'][8];
			break;
		case "10":
			$monat = $lng['months'][9];
			break;
		case "11":
			$monat = $lng['months'][10];
			break;
		case "12":
			$monat = $lng['months'][11];
			break;
	}
	$tag = substr($text,6,2);
	$dtext[0] = "$tag. $monat $jahr </span> <span class=\"time\">$zeit</span>";
	$dtext[1] = "$tag. $monat $jahr";
	
	return $dtext;
}

function get_bstab_array()
{
	$arr = array('a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '!');
	return $arr;
}

function get_all_datas($path)
{
	global $adrconf;
	
	$cnt = 0;
	$myarr = get_bstab_array();
	foreach($myarr as $element)
	{
		$data = file("$path/.ht$element");
		for($i = 0; $i < count($data); $i++)
		{
			$mdata = explode("\t",$data[$i]);
			if(!isset($mdata[30]) or $mdata[30] == '') $mdata[30] = '';
			$mdata[31] = $i;
			$datas[] = implode("\t",$mdata);
			$cnt++;
		}
		if($cnt >= $adrconf[50]) break;
	}
	return $datas;
}

function get_zaehler($path)
{
	$count = file("$path/.htcntt");
	$mcount = trim(chop($count[0]));
	return $mcount;
}

function make_code($text)
{

	if(substr_count($text,"[") > 0 && substr_count($text,"]") > 0)
	{
		$text = preg_replace("#\[color=(\#[0-9a-f]{6}|[a-z]+)\](.*?)\[/color\]#si",'<font color="\1">\2</font>',$text);
		$text = preg_replace("#\[u\](.*?)\[/u\]#si",'<u>\1</u>',$text);
		$text = preg_replace("#\[ul\](.*?)\[/ul\]#si",'<ul><li>\1</li></ul>',$text);
		$text = preg_replace("#\[code\](.*?)\[/code\]#si",'<table align="center" width="100%"><tr><td><font face="Tahoma,Helvetica" size="2"><b>code:</b></font></td> </tr><tr><td><table cellpadding=4 cellspacing=1 width="100%" bgcolor="black"><tr><td bgcolor="#ba9191"> <code>\1</code> </td></tr> </table></table>',$text);
		$text = preg_replace("#\[glow=(\#[0-9a-f]{6}|[a-z]+)\](.*?)\[/glow\]#si",'<span style="width:100%; filter:Glow(color=\1, strength=2">\2</span>',$text);
		$text = preg_replace("#\[shadow=(\#[0-9a-f]{6}|[a-z]+)\](.*?)\[/shadow\]#si",'<span style="width:100%; filter:DropShadow(color=\1, offx=2, offy=2">\2</span>',$text);
		$text = preg_replace("#\[s\](.*?)\[/s\]#si",'<s>\1</s>',$text);
		$text = preg_replace("#\[i\](.*?)\[/i\]#si",'<i>\1</i>',$text);
		$text = preg_replace("#\[b\](.*?)\[/b\]#si",'<b>\1</b>',$text);
		$text = preg_replace("#\[center\](.*?)\[/center\]#si",'<center>\1</center>',$text);
		$text = preg_replace("#\[marquee\](.*?)\[/marquee\]#si",'<marquee>\1</marquee>',$text);
		$text = preg_replace("#\[url\]([a-z]+?://)([^\[]*)\[/url\]#si",'<a href="\1\2" target="_blank">\1\2</a>',$text);
		$text = preg_replace("#\[url\]([^\[]*)\[/url\]#si",'<a href="http://\1" target="_blank">\1</a>',$text);
		$text = preg_replace("#\[url=([a-z]+?://)([^\]]*)\](.*?)\[/url\]#si",'<a href="\1\2" target="_blank">\3</a>',$text);
		$text = preg_replace("#\[url=([^\]]*)\](.*?)\[/url\]#si",'<a href="http://\1" target="_blank">\2</a>',$text);
		$text = preg_replace("#\[textlnk\]([a-z]+?://)([^\[]*)\[/textlnk\]#si",'<a href="\1\2" target="_blank">\1\2</a>',$text);
		$text = preg_replace("#\[textlnk\]([^\[]*)\[/textlnk\]#si",'<a href="http://\1" target="_blank">\1</a>',$text);
		$text = preg_replace("#\[email\]([^\[]+@[^\[]+)\[/email\]#si",'<a href="mailto:\1">\1</a>',$text);
		$text = preg_replace('=\[img\](http:[^\[]*|[^\[:]*)\[/img\]=si','<img src="$1" width="150" hight="150" border="0" alt="bild"><br><a href="$1" target="_blank">original groesse</a>',$text);
		$text = preg_replace("#\[phpcode\](.+?)\[\/phpcode\]#esi","phphighlite('\\1')",$text);
		$text = preg_replace("#\[size=(\+[0-9])\](.*?)\[/size\]#si",'<font size="\1">\2</font>',$text);
		$text = preg_replace("#\[size=(\-[0-9])\](.*?)\[/size\]#si",'<font size="\1">\2</font>',$text);
		$text = preg_replace('#\[font=(.*?)\](.*?)\[/font\]#si','<font face="\1">\2</font>',$text);

	}
	return $text;
}



?>